Transaction Completion
In the authentication phase, the user presents their face for verification, and the API compares this against the stored template for validation. The process is initiated by an API call, which responds with a session ID, bearer token, and a challenge. The user then responds to this challenge by submitting a selfie.
The authentication process can follow one of three options based on the selected preference. The following types of parameters can be passed to the API:
Using KYC Event ID :
kyc_event_idobtained during the KYC process can be included part of the request.Using Liveness Transaction ID: The
liveliness_transaction_id, obtained during the liveness verification process, can be included as part of the requestUsing Template URL: The partner can provide the URL of the template image (
template_url), which represents the user-selfie.Using Image: User selfie
imagecan be submitted as a Base64 encoded string
Authentication Preferences
Required Params
kyc_event_id
liveliness_transaction_id
template_url
image (Base64)
Preference
First
Second
Third
Fourth
User Verification
User’s verification is done by VIDA, and the image from the same verification is used for authentication.
User’s liveliness has been done by VIDA’s product (liveness service or SDK) and transactionId from same is being used for authentication
User is verified by partner
User is verified by partner
Business Use Case
When partners are using KYC solution provided by VIDA.
When partner don’t want to perform liveliness again. For avoiding duplicate liveness check and reducing network latency
When partners don’t have any KYC prior integration with VIDA.
When partners don’t have any KYC prior integration with VIDA.
Liveness During Provisioning
NO
NO
YES
YES
User Attributes stored during provisioning
kyc_event_id
credential_id
templateLivelinessTransactionId
credential_id
credential_id
liveliness related details (trxId, livelinessScore, imgManipulation Score, code, message)
credential_id
liveliness related details (trxId, livelinessScore, imgManipulation Score, code, message)
Image Storage
Image fetched based on kyc_event_id is stored.
Image fetched from the based on liveliness_transaction_id is being stored
Image downloaded with the help of template_url.
Image supplied by partner in image parameter is stored.
Selfie ID Followup - API Description
Method : POST
URL : Follow up url received as part of the response of the Transaction Initiation API
Headers
Authentication*
String
Bearer {Bearer Token Received in Transaction Initiation API}
Content-Type
String
application/x-www-form-urlencoded
Parameters
Using KYC Event ID
client_id*
String
A unique client id that is shared for each partner
kyc_event_id*
String
Obtained during the KYC process
Using Liveness Transaction ID
client_id*
String
A unique client id that is shared for each partner
liveliness_transaction_id*
String
The liveliness verification transaction id received as part of the Vida Liveliness verification process (e.g. Vida Liveliness SDK)
Using Template URL
client_id*
String
A unique client id that is shared for each partner
template_url*
String
template image url which represents the user-selfie
Using Image
client_id*
String
A unique client id that is shared for each partner
image*
base64 string
Selfie Image of the user as Base 64
Error Response
Response Schema
Last updated
